AOZ Studio Beta - Bug #173

Flash doesn't work. Neither the default, nor explicitly defined flashing sequence.
02/09/2020 10:44 PM - Brian Flanagan

Status: New Start date: 02/09/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 4:00 hours

Target version:

Affected version: Beta RC3

Description

The Flash command compiles, but doesn't work. Explicitly defined flashing sequences aren't working, nor is the default flashing
sequence for color index 3... although the text cursor does appear to flash using the default sequence.

Example #1: The following code should produce vertical color bars across the display. The 4th bar shows up as white, but it should
be using the default flashing colors.

fmanifest: "amiga"
#speed: "safe"

Screen Open 0,320,200,32,Lowres
Palette $000,$888,$CCC, SFFF, $004,$008,$00C, $00F, $040,$080,$0C0,$0F0, $400,5800,5C00,S$F00, $440,s
880, $CCO, SFFO, $044,5088,S50CC, SOFF, $404,$808,38C0C, $SFOF, SF70,$0F7,S$70F,S7FO0

For C=0 To 31
Ink C,,3 : Bar C*¥10,0 To C*10+9,199
Next C

Example #2: In this example, the default flashing color should flash as well as the several other flashing color sequences which have
been explicitly defined, with different colors and delays, but they all appear as solid colors.

#manifest: "amiga"
#speed: "safe"

screen open 0,320,200,32, lowres
palette $fff, $ccc,$888,5$000, $f00,$c00,$800,%$400, $0f0,$0c0,$080,%040, $00f,S$00c,$008,5004, S$ff0,S$
cc0,$880,%$440, s0ff,$0cc,$088,5%044, $f0f, $cOc,$808,5$404, $£70,$0£7,5£07,$70f

Flash 0," (F00,50) (OFF,50)"

Flash 7," (0F0,25) (FOF, 25"

Flash 11," (00F,12) (FFO,12)"

Flash 15," (F00,5) (C00,5) (900,5) (500,5) (000,20) (500,5) (900,5) (Cco0,5)™"
For c=0 to 31

ink ¢ : bar ¢*10,0 to c*10+4+9,199

next c

Wait Key

History

#1 - 02/29/2020 02:45 AM - Brian Flanagan
- Affected version changed from 0.9.4 to 0.9.5.1

Still broken in 0.9.5.1.

#2 - 09/12/2020 12:23 PM - Brian Flanagan
- Affected version changed from 0.9.5.1 to Beta RC2

Still broken in Beta RC2.

#3 - 10/04/2020 10:59 PM - Brian Flanagan
http://support.aoz.studio/issues/1
http://support.aoz.studio/issues/2

- Estimated time set to 4:00 h
- Affected version changed from Beta RC2 to Beta RC3

Still broken in RC3.

04/20/2024 22


http://www.tcpdf.org

